Node(equipment_id = 'r_ultrasound.psi.ch',
     description = 'resonant ultra sound setup',
     interface = 'tcp://5000',
)

Mod('f',
    cls = 'frappy_psi.ultrasound.Frequency',
    description = 'ultrasound frequency and acquisition loop',
    uri = 'serial:///dev/ttyS1',
    pars = 'pars',
    pollinterval = 0.1,
    time = 900, # start time
    size = 5000,
    freq = 1.e+03,
    basefreq = 1.E+3,
    control = False,
    rusmode = False,
    amp = 2.5,
    nr = 1, #500 #300 #100 #50 #30 #10 #5 #3 #1 #1000 #500 #300 #100 #50 #30 #10 #5 #3 #1 #500
    sr = 1E8,      #16384
    plot = True,
    maxstep = 100000,
    bw = 10E6,  #butter worth filter bandwidth
    maxy = 0.7,  # y scale for plot
    curves = 'curves', # module to transmit curves:
    )

Mod('curves',
    cls = 'frappy_psi.ultrasound.Curves',
    description = 't, I, Q and pulse arrays for plot',
    )

Mod('roi0',
    cls = 'frappy_psi.ultrasound.Roi',
    description = 'I/Q of region in the control loop',
    time = 300, # this is the center of roi:
    size = 5000,
    main = f,
    )

Mod('roi1',
    cls = 'frappy_psi.ultrasound.Roi',
    description = 'I/Q of region 1',
    time = 100, # this is the center of roi:
    size = 300,
    main = f,
    )

Mod('delay',
    cls = 'frappy__psi.dg645.Delay',
    description = 'delay line with 2 channels',
    uri = 'serial:///dev/ttyS2',
    on1 = 1e-9,
    on2 = 1E-9,
    off1 = 400e-9,
    off2 = 600e-9,
    )

Mod('pars',
    cls = 'frappy_psi.ultrasound.Pars',
    description = 'SEA parameters',
    )
